An options object for StateService.href

### Hierarchy

- HrefOptions

## Index

### Properties

- absolute
- inherit
- lossy
- relative

## Properties

absolute: boolean

If true will generate an absolute url, e.g. `http://www.example.com/fullurl`.

If true will generate an absolute url, e.g. `http://www.example.com/fullurl`.

- Defined in state/interface.ts:744

inherit: boolean

If `true` will inherit parameters from the current parameter values.

If `true` will inherit parameters from the current parameter values.

- Defined in state/interface.ts:739

lossy: boolean

If true, and if there is no url associated with the state provided in the first parameter, then the constructed href url will be built from the first ancestor which has a url.

If true, and if there is no url associated with the state provided in the first parameter, then the constructed href url will be built from the first ancestor which has a url.

- Defined in state/interface.ts:734

relative: StateOrName

Defines what state to be "relative from"

Defines what state to be "relative from"

When a relative path is found (e.g `^` or `.bar`), defines which state to be relative from.

- Defined in state/interface.ts:727

Generated using TypeDoc